import { SSRProps } from './types';
import { DevCycleOptions, DevCycleUser } from '@devcycle/js-client-sdk';
import { GetServerSidePropsContext } from 'next';
import { ConfigSource } from '@devcycle/types';
type IdentifiedUser = Omit<DevCycleUser, 'user_id' | 'isAnonymous'> & {
    user_id: string;
};
type DevCycleServersideOptions = Pick<DevCycleOptions, 'enableObfuscation'> & {
    configSource?: ConfigSource;
};
export declare const getServerSideDevCycle: ({ serverSDKKey, clientSDKKey, user, context, options, }: {
    serverSDKKey: string;
    clientSDKKey: string;
    user: IdentifiedUser;
    context: GetServerSidePropsContext;
    options?: DevCycleServersideOptions;
}) => Promise<SSRProps>;
export declare const getStaticDevCycle: ({ serverSDKKey, clientSDKKey, user, options, }: {
    serverSDKKey: string;
    clientSDKKey: string;
    user: IdentifiedUser;
    options: DevCycleServersideOptions;
}) => Promise<SSRProps>;
export {};
