import 'server-only';
import { getVariableValue } from './getVariableValue';
import { DevCycleUser, DVCCustomDataJSON } from '@devcycle/js-client-sdk';
import { getAllVariables } from './getAllVariables';
import { getAllFeatures } from './allFeatures';
import { DevCycleNextOptions } from '../common/types';
type ServerUser<CustomData extends DVCCustomDataJSON = DVCCustomDataJSON> = Omit<DevCycleUser<CustomData>, 'user_id' | 'isAnonymous'> & {
    user_id: string;
};
export declare const setupDevCycle: <CustomData extends DVCCustomDataJSON = DVCCustomDataJSON>({ serverSDKKey, clientSDKKey, userGetter, options, }: {
    serverSDKKey: string;
    clientSDKKey: string;
    userGetter: () => Promise<ServerUser<CustomData>> | ServerUser<CustomData>;
    options?: DevCycleNextOptions;
}) => {
    getVariableValue: typeof getVariableValue;
    getAllVariables: typeof getAllVariables;
    getAllFeatures: typeof getAllFeatures;
    getClientContext: () => {
        serverDataPromise: Promise<import("../..").DevCycleServerData>;
        options: {
            disableAutomaticEventLogging: boolean | undefined;
            disableCustomEventLogging: boolean | undefined;
            disableRealtimeUpdates: boolean | undefined;
            apiProxyURL: string | undefined;
            eventFlushIntervalMS: number | undefined;
            flushEventQueueSize: number | undefined;
            enableObfuscation: boolean | undefined;
        };
        clientSDKKey: string;
        enableStreaming: boolean;
        realtimeDelay: number | undefined;
    };
};
export {};
